/*
 * service.h
 */

#ifndef __SERVICE_H__
#define __SERVICE_H__

#include <agl.h>
#include <intlib.h>
#include "spec.h"

/* user service functions */
float     S_CheckX(int);          /* 自分のＸ座標を調べる */
float     S_CheckY(int);          /* 自分のＹ座標を調べる */
direct_t  S_CheckDir(int);        /* X=0の直線を０°とした自分の角度 */
QuadDist  *S_CheckDist(int);      /* フィールドの端からの距離を得る */
void      S_Forward(int);         /* 前方加速度設定 */
void      S_Backward(int);        /* 後方加速度設定 */
void      S_TurnRight(int);       /* 右にハンドルを切る */
void      S_TurnLeft(int);        /* 左にハンドルを切る */
accel_t   S_GetSpeed(int);        /* get current speed */
distance  S_CalcEnemyDist(int);   /* 前方を索敵する （距離を返す) */
direct_t  S_SearchEnemy(int);     /* 前方を索敵する（角度を返す）*/
/* 残り時間を得る */
#define   S_GetRestTime() GetRestTime()

#endif /* __SERVICE_H__ */
